#include "FftThread.h"

// Public
FftThread::FftThread(Signal & sig, QObject * parent) : QThread(parent) {
	src=sig;
}

FftThread::~FftThread(){
	//??
}

Signal FftThread::getImag(){return imag;}
Signal FftThread::getReal(){return real;}
Signal FftThread::getPow(){return pow;}

// Protected
void FftThread::run(){
	src.fft(real,imag,pow);
}
